Firebird Client 2.0.0.0 can't load

Discussion of open issues, suggestions and bugs regarding ADO.NET provider for universal data access
Post Reply
PhilC
Posts: 2
Joined: Tue 29 Sep 2009 02:09

Firebird Client 2.0.0.0 can't load

Post by PhilC » Tue 29 Sep 2009 02:13

Hi,

I'm testing out the "beta" 3.0.0.1 dotconnect Universal with Visual Studio 2008. I'm trying to use it to connect to firebird, but it keeps giving me an error that can't load 2.0.0.0

I have firebird .net client 2.5 (latest) installed, and it does work, but if I use the dotconnect, it keeps giving me error can't load 2.0.0.0.

Any solution please?

Thanks

Shalex
Site Admin
Posts: 8241
Joined: Thu 14 Aug 2008 12:44

Post by Shalex » Tue 29 Sep 2009 10:51

This provider will be supported in the next build of dotConnect Universal. I will notify you when the new build is available for download.

PhilC
Posts: 2
Joined: Tue 29 Sep 2009 02:09

Post by PhilC » Tue 29 Sep 2009 14:51

Thanks,

But does that mean that dotConnect Universal is version dependant?

If I get updates of SQLite, SQL or Firebird that the updated version will not work, until dotConnect is updated too?

If so, is there no way to make it not version dependant?

Shalex
Site Admin
Posts: 8241
Joined: Thu 14 Aug 2008 12:44

Post by Shalex » Wed 30 Sep 2009 12:03

We set the version of vendor's assemblies in our assemblies. But if the new version of a vendor (e.g. Firebird .NET Client) is supplied with the policy files, this problem will not occur. We will fix the issue with Firebird .NET Client 2.5 in the next build of dotConnect Universal. I will post here when it is available for download.

Shalex
Site Admin
Posts: 8241
Joined: Thu 14 Aug 2008 12:44

Post by Shalex » Wed 04 Nov 2009 10:10

The problem is fixed. Look forward to the next build of dotConnect Universal.

Post Reply